CUfileOpError.h(3)

NAME
CUfileOpError.h

SYNOPSIS

  Typedefs
typedef enum CUfileOpError CUfileOpError
cufileop status enum.

  Enumerations
enum CUfileOpError { CU_FILE_SUCCESS = 0, CU_FILE_DRIVER_NOT_INITIALIZED = 5001, CU_FILE_DRIVER_INVALID_PROPS = 5002, CU_FILE_DRIVER_UNSUPPORTED_LIMIT = 5003, CU_FILE_DRIVER_VERSION_MISMATCH = 5004, CU_FILE_DRIVER_VERSION_READ_ERROR = 5005, CU_FILE_DRIVER_CLOSING = 5006, CU_FILE_PLATFORM_NOT_SUPPORTED = 5007, CU_FILE_IO_NOT_SUPPORTED = 5008, CU_FILE_DEVICE_NOT_SUPPORTED = 5009, CU_FILE_NVFS_DRIVER_ERROR = 5010, CU_FILE_CUDA_DRIVER_ERROR = 5011, CU_FILE_CUDA_POINTER_INVALID = 5012, CU_FILE_CUDA_MEMORY_TYPE_INVALID = 5013, CU_FILE_CUDA_POINTER_RANGE_ERROR = 5014, CU_FILE_CUDA_CONTEXT_MISMATCH = 5015, CU_FILE_INVALID_MAPPING_SIZE = 5016, CU_FILE_INVALID_MAPPING_RANGE = 5017, CU_FILE_INVALID_FILE_TYPE = 5018, CU_FILE_INVALID_FILE_OPEN_FLAG = 5019, CU_FILE_DIO_NOT_SET = 5020, CU_FILE_EXPECTED_FILE_MODE = 5021, CU_FILE_INVALID_VALUE = 5022, CU_FILE_MEMORY_ALREADY_REGISTERED = 5023, CU_FILE_MEMORY_NOT_REGISTERED = 5024, CU_FILE_PERMISSION_DENIED = 5025, CU_FILE_DRIVER_ALREADY_OPEN = 5026, CU_FILE_HANDLE_NOT_REGISTERED = 5027, CU_FILE_HANDLE_ALREADY_REGISTERED = 5028, CU_FILE_DEVICE_NOT_FOUND = 5029, CU_FILE_INTERNAL_ERROR = 5030, CU_FILE_GETNEWFD_FAILED = 5031, CU_FILE_NVFS_SETUP_ERROR = 5033, CU_FILE_IO_DISABLED = 5034, CU_FILE_BATCH_SUBMIT_FAILED = 5035, CU_FILE_GPU_MEMORY_PINNING_FAILED = 5036 } cufileop status enum. "

Typedef Documentation

  typedef enum CUfileOpError CUfileOpError

cufileop status enum.

Note:
    This file contains all the CUfileOpError error codes from GPUDirect Storage supported APIs

    on success the error code is set to CU_FILE_SUCCESS.

    The error code can be inspected using IS_CUFILE_ERR and CUFILE_ERRSTR.

    The error code if set to CU_FILE_CUDA_DRIVER_ERROR, then cuda error can be inspected using IS_CUDA_ERR and CU_FILE_CUDA_ERR.

    Data path errors are captured via standard error codes

Enumeration Type Documentation

  enum CUfileOpError

cufileop status enum.

Note:
    This file contains all the CUfileOpError error codes from GPUDirect Storage supported APIs

    on success the error code is set to CU_FILE_SUCCESS.

    The error code can be inspected using IS_CUFILE_ERR and CUFILE_ERRSTR.

    The error code if set to CU_FILE_CUDA_DRIVER_ERROR, then cuda error can be inspected using IS_CUDA_ERR and CU_FILE_CUDA_ERR.

    Data path errors are captured via standard error codes

Enumerator

CU_FILE_SUCCESS
    cufile success

CU_FILE_DRIVER_NOT_INITIALIZED
    nvidia-fs driver is not loaded. Set allow_compat_mode to true in cufile.json file to enable compatible mode

CU_FILE_DRIVER_INVALID_PROPS
    invalid property

CU_FILE_DRIVER_UNSUPPORTED_LIMIT
    property range error

CU_FILE_DRIVER_VERSION_MISMATCH
    nvidia-fs driver version mismatch

CU_FILE_DRIVER_VERSION_READ_ERROR
    nvidia-fs driver version read error

CU_FILE_DRIVER_CLOSING
    driver shutdown in progress

CU_FILE_PLATFORM_NOT_SUPPORTED
    GPUDirect Storage not supported on current platform

CU_FILE_IO_NOT_SUPPORTED
    GPUDirect Storage not supported on current file

CU_FILE_DEVICE_NOT_SUPPORTED
    GPUDirect Storage not supported on current GPU

CU_FILE_NVFS_DRIVER_ERROR
    nvidia-fs driver ioctl error

CU_FILE_CUDA_DRIVER_ERROR
    CUDA Driver API error

CU_FILE_CUDA_POINTER_INVALID
    invalid device pointer

CU_FILE_CUDA_MEMORY_TYPE_INVALID
    invalid pointer memory type

CU_FILE_CUDA_POINTER_RANGE_ERROR
    pointer range exceeds allocated address range

CU_FILE_CUDA_CONTEXT_MISMATCH
    cuda context mismatch

CU_FILE_INVALID_MAPPING_SIZE
    access beyond maximum pinned size

CU_FILE_INVALID_MAPPING_RANGE
    access beyond mapped size

CU_FILE_INVALID_FILE_TYPE
    unsupported file type

CU_FILE_INVALID_FILE_OPEN_FLAG
    unsupported file open flags

CU_FILE_DIO_NOT_SET
    fd direct IO not set

CU_FILE_EXPECTED_FILE_MODE
    file open needs mode

CU_FILE_INVALID_VALUE
    invalid api arguments

CU_FILE_MEMORY_ALREADY_REGISTERED
    device pointer already registered

CU_FILE_MEMORY_NOT_REGISTERED
    device pointer lookup failure

CU_FILE_PERMISSION_DENIED
    driver or file access error

CU_FILE_DRIVER_ALREADY_OPEN
    driver is already open

CU_FILE_HANDLE_NOT_REGISTERED
    file descriptor is not registered

CU_FILE_HANDLE_ALREADY_REGISTERED
    file descriptor is already registered

CU_FILE_DEVICE_NOT_FOUND
    GPU device not found

CU_FILE_INTERNAL_ERROR
    internal error

CU_FILE_GETNEWFD_FAILED
    failed to obtain new file descriptor

CU_FILE_NVFS_SETUP_ERROR
    NVFS driver initialization error

CU_FILE_IO_DISABLED
    GPUDirect Storage disabled by config on current file

CU_FILE_BATCH_SUBMIT_FAILED
    Batch IO Submit Failure

CU_FILE_GPU_MEMORY_PINNING_FAILED
    Buf Register Failed due to Bar memory Constraints

Author

Generated automatically by Doxygen for GPUDirect Storage from the source code.